# Speaker Topics

Speaker Topics

 - [GET /speakerTopics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/listspeakertopics.md): This method will scan all speaker topics and and return them to the caller.
 - [POST /speakerTopics/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/createspeakertopic.md): This method will auto-generate an ID and create a new speaker topic. If an ID is specified for the speaker topic, an error will be thrown.
 - [POST /speakerTopics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /speakerTopics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/deletespeakertopic.md): This method will delete a speaker topic with the specified ID.
 - [GET /speakerTopics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/getspeakertopic.md): This method will look up a speaker topic by the specified ID and return it back.
 - [PATCH /speakerTopics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/patchspeakertopic.md): This method will patch an existing speaker topic with the specified ID, using the HTTP PATCH specification.
 - [PUT /speakerTopics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-topics/updatespeakertopic.md): This method will update an existing speaker topic with the specified ID.
